Subject: Re: bug#34927: Curl is not configured to use its dependency libssh2
From: Leo Famulari <[email-masked]>
To: Marius Bakke <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 21 Mar 2019 16:37:00 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Mar 21, 2019 at 08:06:24PM +0100, Marius Bakke wrote:
> This commit changed the cURL derivation, so I pushed a followup in
> c1f4e6491cecc5d121ef371a8fb2aa0a07030d36.

Oops... I did check that the libssh2 derivation had not changed, but I
didn't expect the order of the inputs in the curl package definition to
affect the derivation. Thanks for you quick fix!

> I think using the "hidden?" property will leave the derivation
> unchanged (as opposed to (hidden-package ...)).

(hidden-package) does work to preserve the derivation — the issue was
the inputs ordering in the curl package definition. I pushed another
followup to use it.